LMNT

Create voice

POST
/v1/ai/voice

Submits a request to create a voice with a supplied voice configuration and a batch of input audio data.

Authorizations

X-API-Key
string
required

Your API key; get it from your LMNT settings.

Parameters

enhance
boolean
required

For unclean audio with background noise, applies processing to attempt to improve quality. Default is false as this can also degrade quality in some circumstances.

files
binary[]
required

One or more input audio files to train the voice in the form of binary wav, mp3, mp4, m4a, or webm attachments.

name
string
required

The display name for this voice

description
string

A text description of this voice.

gender
string

A tag describing the gender of this voice. Has no effect on voice creation.

Returns

Voice where each Voice is:

description
string

A text description of this voice.

gender
string

A tag describing the gender of this voice, e.g. male, female, nonbinary.

id
string
required

The unique identifier of this voice.

name
string
required

The display name of this voice.

owner
string
required

The owner of this voice.

starred
boolean

Whether this voice has been starred by you or not.

state
string
required

The state of this voice in the training pipeline (e.g., ready, training).

type
string

The method by which this voice was created: instant or professional.

preview_url
string

A URL that returns a preview speech sample of this voice. The file can be played directly in a browser or audio player.